## freeradius 2.2.5+dfsg

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: 7be6a2763fad17395b113b06b4924ae515ef46a0 $
#

include Make.inc

.PHONY: all clean install

SUBDIRS		= $(LTDL_SUBDIRS) $(wildcard src raddb scripts doc)
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

.PHONY: test
test:
	@$(MAKE) -C raddb/certs
	@$(MAKE) -C src/tests tests

#
# The $(R) is a magic variable not defined anywhere in this source.
# It's purpose is to allow an admin to create an installation 'tar'
# file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
# The 'tar' file can then be un-tar'd on any similar machine.  It's a
# cheap way of creating packages, without using a package manager.
# Many of the platform-specific packaging tools use the $(R) variable
# when creating their packages.
#
# For compatibility with typical GNU packages (e.g. as seen in libltdl),
# we make sure DESTDIR is defined.
#
export DESTDIR := $(R)
install:
	$(INSTALL) -d -m 755	$(R)$(sbindir)
	$(INSTALL) -d -m 755	$(R)$(bindir)
	$(INSTALL) -d -m 755	$(R)$(raddbdir)
	$(INSTALL) -d -m 755	$(R)$(mandir)
	$(INSTALL) -d -m 755	$(R)$(RUNDIR)
	$(INSTALL) -d -m 700	$(R)$(logdir)
	$(INSTALL) -d -m 700	$(R)$(radacctdir)
	$(INSTALL) -d -m 755	$(R)$(datadir)
	$(INSTALL) -d -m 755	$(R)$(dictdir)
	for i in 1 5 8; do \
		$(INSTALL) -d -m 755	$(R)$(mandir)/man$$i; \
		for p in man/man$$i/*.$$i; do \
			$(INSTALL) -m 644 $$p $(R)$(mandir)/man$$i; \
		done \
	done
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@echo "Installing dictionary files in $(R)$(dictdir)"; \
	cd share; \
	for i in dictionary*; do \
		$(INSTALL) -m 644 $$i $(R)$(dictdir); \
	done
	$(LIBTOOL) --finish $(R)$(libdir)

ifneq ($(RADMIN),)
ifneq ($(RGROUP),)
.PHONY: install-chown
install-chown:
	chown -R $(RADMIN)   $(R)$(raddbdir)
	chgrp -R $(RGROUP)   $(R)$(raddbdir)
	chmod u=rwx,g=rx,o=  `find $(R)$(raddbdir) -type d -print`
	chmod u=rw,g=r,o=    `find $(R)$(raddbdir) -type f -print`
	chown -R $(RADMIN)   $(R)$(logdir)
	chgrp -R $(RGROUP)   $(R)$(logdir)
	find $(R)$(logdir) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(logdir) -type d -exec chmod g+s {} \;
	find $(R)$(logdir) -type f -exec chmod u=rw,g=rw,o= {} \;
	chown -R $(RADMIN)   $(R)$(RUNDIR)
	chgrp -R $(RGROUP)   $(R)$(RUNDIR)
	find $(R)$(RUNDIR) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(RUNDIR) -type d -exec chmod g+s {} \;
	find $(R)$(RUNDIR) -type f -exec chmod u=rw,g=rw,o= {} \;
endif
endif

.PHONY: common $(SUBDIRS)

common: $(SUBDIRS)

$(SUBDIRS):
	@echo "Making $(WHAT_TO_MAKE) in $@..."
	@$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)

distclean: clean
	rm -f config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.cache libltdl/config.log \
		libltdl/config.status \
		libltdl/libtool
	-find . ! -name configure.in -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.mak | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.h | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
.PHONY: reconfig
reconfig:
	@$(MAKE) $(MFLAGS) -C src reconfig
	@$(MAKE) configure
	@$(MAKE) src/include/autoconf.h.in

configure: configure.in aclocal.m4
	$(AUTOCONF)

.PHONY: src/include/autoconf.h.in
src/include/autoconf.h.in:
	$(AUTOHEADER)

config.status: configure
	./config.status --recheck

configure.in:

.PHONY: check-includes
check-includes:
	scripts/min-includes.pl `find . -name "*.c" -print`

TAGS:
	etags `find src -type f -name '*.[ch]' -print`

#
#  Make test certificates.
#
.PHONY: certs
certs:
	@cd raddb/certs && $(MAKE)

######################################################################
#
#  Make a release.
#
#  Note that "Make.inc" has to be updated with the release number
#  BEFORE running this command!
#
######################################################################
freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ v2.x.x | gzip > $@

freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz
	gpg --default-key aland@freeradius.org -b $<

freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ v2.x.x | bzip2 > $@

freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig: freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	gpg --default-key aland@freeradius.org -b $<

# high-level targets
.PHONY: dist-check
dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
	@if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat redhat/freeradius.spec | sed 's/^Version: .*/Version: $(RADIUSD_VERSION_STRING)/' > redhat/.foo; \
		mv redhat/.foo redhat/freeradius.spec; \
		echo redhat/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat suse/freeradius.spec | sed 's/^Version: .*/Version: $(RADIUSD_VERSION_STRING)/' > suse/.foo; \
		mv suse/.foo suse/freeradius.spec; \
		echo suse/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/\+.*).*//;s/-1).*//;'`  != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo debian/changelog needs to be updated; \
		exit 1; \
	fi

dist: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2

dist-sign: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig

dist-publish: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2 freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig
	scp $^ freeradius.org@ftp.freeradius.org:public_ftp
#	scp $^ freeradius.org@www.tr.freeradius.org:public_ftp

#
#  Note that we do NOT do the tagging here!  We just print out what
#  to do!
#
dist-tag: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	@echo "git tag release_`echo $(RADIUSD_VERSION_STRING) | tr .- __`"

#
#	Build a debian package
#
.PHONY: deb
deb:
	fakeroot dpkg-buildpackage -b -uc

=== dialup_admin/Makefile ===
#
# Makefile
#
# Version:	$Id: 6f20721279627904712f8d1d416a87fdefaa880b $
#

include ../Make.inc

DIALUP_PREFIX := /usr/local/dialup_admin
DIALUP_DOCDIR := $(DIALUP_PREFIX)/doc
DIALUP_CONFDIR := $(DIALUP_PREFIX)/conf

all:

install:
	install -d -m 0755 $(R)/$(DIALUP_PREFIX)
	install -d -m 0755 $(R)/$(DIALUP_DOCDIR)
	install -d -m 0755 $(R)/$(DIALUP_CONFDIR)
	install -d -m 0755 $(R)/$(DIALUP_PREFIX)/bin
	find doc Changelog README -name CVS -prune -o -type f -print0 | \
	  xargs -0 install -m 0644 -t $(R)/$(DIALUP_DOCDIR)
	find conf -name CVS -prune -o -type f -print0 | \
	  xargs -0 install -m 0644 -t $(R)/$(DIALUP_CONFDIR)
	find htdocs html lib sql -name CVS -prune -o -print | \
	  while read file; do \
	    if [ -d "$$file" ]; then \
	      install -d -m 0755 "$(R)/$(DIALUP_PREFIX)/$$file"; \
	    else \
	      install -m 0644 "$$file" "$(R)/$(DIALUP_PREFIX)/$$file"; \
	    fi; \
	  done
	sed -e 's#/usr/local/dialup_admin#$(DIALUP_PREFIX)#' \
	    -e 's#/usr/local/radiusd#$(prefix)#' \
	    -e 's#general_raddb_dir: %{general_radiusd_base_dir}/etc/raddb#general_raddb_dir: $(raddbdir)#' \
	    -e 's#general_clients_conf: /usr/local/etc/raddb/clients.conf#general_clients_conf: $(raddbdir)/clients.conf#' \
	    -e 's#%{general_base_dir}/conf#$(DIALUP_CONFDIR)#' \
	    -e 's#/usr/local/bin#$(bindir)#' \
	    conf/admin.conf > $(R)/$(DIALUP_CONFDIR)/admin.conf
	sed -e 's#../../README#$(DIALUP_DOCDIR)/README#' \
	    htdocs/help/help.php > $(R)/$(DIALUP_PREFIX)/htdocs/help/help.php
	for binfile in backup_radacct clean_radacct clearsession log_badlogins monthly_tot_stats showmodem snmpfinger sqlrelay_query tot_stats truncate_radacct; do \
	  sed -e 's#/usr/local/bin/#${bindir}#' \
	      -e 's#/usr/local/dialup_admin/conf/#$(DIALUP_CONFDIR)/#' \
	      bin/$$binfile > $(R)/$(DIALUP_PREFIX)/bin/$$binfile ; \
	  chmod 0755 $(R)/$(DIALUP_PREFIX)/bin/$$binfile; \
	done
	sed -e 's#/usr/local/dialup_admin#$(DIALUP_PREFIX)#' \
	    bin/dialup_admin.cron > $(R)/$(DIALUP_PREFIX)/bin/dialup_admin.cron

.PHONY: all install

=== doc/Makefile ===
#
# Makefile
#
# Version:	$Id: aaf7675ac139ee0274dae8352fe60ccaf426dec8 $
#

include ../Make.inc

SUBDIRS		= examples rfc
WHAT_TO_MAKE	= all

RST_FILES := $(wildcard *.rst)

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

install:
	@if [ "$(docdir)" = no ]; then					\
		echo 'Documentation files will NOT be installed.';	\
	else								\
		$(INSTALL) -d -m 755 $(R)$(docdir);			\
		for file in *[!~]; do					\
			if [ -f $$file -a $$file != Makefile ]; then	\
				$(INSTALL) -m 644 $$file $(R)$(docdir);	\
			fi;						\
		done;							\
		$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common;		\
	fi

common: $(SUBDIRS)

$(SUBDIRS):
	@echo "Making $(WHAT_TO_MAKE) in $@..."
	@$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)

.PHONY: all clean install common $(SUBDIRS)

%.html: %.rst
	@rst2html.py $^ > $@

.PHONY: html
html: $(RST_FILES:.rst=.html)

=== raddb/Makefile ===
#
# Makefile
#
# Version:      $Id: d96366cd03b1f5149a68e223b1a1e0f7d25bf3a4 $
#

include ../Make.inc

#
#  The list of files to install.
#
FILES = acct_users attrs attrs.access_reject attrs.accounting_response	\
	attrs.pre-proxy clients.conf dictionary eap.conf templates.conf	\
	experimental.conf hints huntgroups ldap.attrmap			\
	panic.gdb policy.txt preproxy_users proxy.conf radiusd.conf	\
	sql.conf sqlippool.conf users	policy.conf attrs.access_challenge

#
#	This target is here for local debugging
#
all:
	@if [ ! -d sites-enabled ]; then \
		mkdir sites-enabled; \
	fi
	@if [ ! -f sites-enabled/default ]; then \
		cd sites-enabled && ln -s ../sites-available/default; \
	fi
	@if [ ! -f sites-enabled/inner-tunnel ]; then \
		cd sites-enabled && ln -s ../sites-available/inner-tunnel; \
	fi

install:
	$(INSTALL) -d -m 750	$(R)$(raddbdir)
	$(INSTALL) -d -m 750	$(R)$(raddbdir)/sites-available
	$(INSTALL) -d -m 750	$(R)$(raddbdir)/sites-enabled
	$(INSTALL) -d -m 750	$(R)$(raddbdir)/modules
	@echo "Creating/updating files in $(R)$(raddbdir)"; \
	for i in $(FILES) `find sites-available/ modules/ -type f -print | sed 's/.*CVS.*//;s/.*~//;s/.*#.*//' `; do \
		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 640 $$i $(R)$(raddbdir)/$$i; \
		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
			echo "** $(R)$(raddbdir)/$$i"; \
			nt=1; \
		fi; \
	done; \
	if [ "$$nt" ]; then \
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "**";\
		echo "** The sample configuration files in `pwd`";\
		echo "** are newer than those in $(R)$(raddbdir)";\
		echo "**";\
		echo "** Please investigate and manually copy (if appropriate) the files listed above.";\
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
	fi
	chmod 640 $(R)$(raddbdir)/clients.conf
	if [ ! -d $(R)$(raddbdir)/certs ]; then \
		$(INSTALL) -d -m 750	$(R)$(raddbdir)/certs; \
		$(INSTALL) -m 750 certs/bootstrap $(R)$(raddbdir)/certs; \
		for i in Makefile README xpextensions ca.cnf server.cnf client.cnf; do \
			$(INSTALL) -m 640 certs/$$i $(R)$(raddbdir)/certs; \
		done; \
	fi
	if [ ! -d $(R)$(raddbdir)/sql ]; then \
		find sql -name CVS -prune -o -print | \
		  while read file; do \
		    if [ -d "$$file" ]; then \
		      $(INSTALL) -d -m 750 "$(R)$(raddbdir)/$$file"; \
		    else \
		      $(INSTALL) -m 640 "$$file" "$(R)$(raddbdir)/$$file"; \
		    fi; \
		  done; \
	fi
	if [ ! -f $(R)$(raddbdir)/sites-enabled/default ]; then \
		cd $(R)$(raddbdir)/sites-enabled/; \
		ln -s ../sites-available/default; \
	fi
	if [ ! -f $(R)$(raddbdir)/sites-enabled/inner-tunnel ]; then \
		cd $(R)$(raddbdir)/sites-enabled/; \
		ln -s ../sites-available/inner-tunnel; \
	fi
	if [ ! -f $(R)$(raddbdir)/sites-enabled/control-socket ]; then \
		cd $(R)$(raddbdir)/sites-enabled/; \
		ln -s ../sites-available/control-socket; \
	fi

clean:
	rm -rf sites-enabled/inner-tunnel sites-enabled/default

=== scripts/Makefile ===
# $Id: 526c32134a98eef36b709f031c17536b1cc88e8b $

include ../Make.inc

all:

radwatch:
	$(INSTALL) -m 755 radwatch		$(R)$(sbindir)

install:
	$(INSTALL) -m 755 rc.radiusd		$(R)$(sbindir)
	$(INSTALL) -m 755 radsqlrelay		$(R)$(bindir)
	$(INSTALL) -m 755 radwatch		$(R)$(sbindir)
	$(INSTALL) -m 755 raddebug		$(R)$(sbindir)
	$(INSTALL) -m 755 cryptpasswd		$(R)$(bindir)/radcrypt

clean:

=== src/Makefile ===
#
# Makefile
#
# Version:	$Id: b04e7b8cca65e4f37c96c79661a8a876a8aa339f $
#

include ../Make.inc

SUBDIRS		= include lib modules main
WHAT_TO_MAKE	= all

.PHONY: all clean install reconfig
all: freeradius-devel
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f include/*~ *~

install:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

reconfig:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

.PHONY: common $(SUBDIRS)

#
#  Ensure correct build order
lib: include

modules: lib

main: modules

common: $(SUBDIRS)

$(SUBDIRS): 
	@echo "Making $(WHAT_TO_MAKE) in $@..."
	$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)

freeradius-devel:
	ln -sf include freeradius-devel

=== doc/examples/Makefile ===
#
# Makefile
#
# Version:	$Id: c02b369be9ba04e6cffcf4ab5eb805d08ec58cc0 $
#

include ../../Make.inc

all:

clean:
	@rm -f *~

install:
	$(INSTALL) -d -m 755 $(R)$(docdir)/examples
	for file in *[!~]; do \
		if [ -f $$file -a $$file != Makefile ]; then \
			$(INSTALL) -m 644 $$file $(R)$(docdir)/examples; \
		fi; \
	done

.PHONY: all clean install

=== src/include/Makefile ===
#
# Makefile
#
# Version:	$Id: 0439d37dd5217f3c2b281f8402684253983f4e6d $
#

HEADERS	= autoconf.h conf.h conffile.h detail.h dhcp.h event.h hash.h heap.h \
	ident.h libradius.h md4.h md5.h missing.h modcall.h modules.h \
	packet.h rad_assert.h radius.h radiusd.h radpaths.h \
	radutmp.h realms.h sha1.h stats.h sysutmp.h threads.h token.h \
	udpfromto.h vmps.h vqp.h base64.h

include ../../Make.inc
.PHONY: all clean distclean install

.PHONY: all clean distclean install reconfig
all: radpaths.h

radpaths.h: build-radpaths-h
	@/bin/sh ./build-radpaths-h

distclean:
	rm -f radpaths.h

reconfig clean:

install:
	$(INSTALL) -d -m 755 $(R)$(includedir)/freeradius
	for i in $(HEADERS); do \
		sed 's/^#include <freeradius-devel/#include <freeradius/' $$i > .inst.$$$$ ; \
		$(INSTALL) -m 644 .inst.$$$$   $(R)$(includedir)/freeradius/$$i; \
		rm -f .inst.$$$$ ; \
	done

=== src/lib/Makefile ===
#
# Makefile
#
# Version:      $Id: a715b01b31672189a65bb81482587fc721eff6aa $
#

include ../../Make.inc

SRCS		= debug.c dict.c filters.c hash.c hmac.c hmacsha1.c isaac.c \
		  log.c misc.c missing.c md4.c md5.c print.c radius.c \
		  rbtree.c sha1.c snprintf.c strlcat.c strlcpy.c token.c \
		  udpfromto.c valuepair.c fifo.c packet.c event.c \
		  getaddrinfo.c vqp.c heap.c dhcp.c base64.c

LT_OBJS		= $(SRCS:.c=.lo)

INCLUDES	= ../include/radius.h ../include/libradius.h \
		  ../include/missing.h ../include/autoconf.h \
		  ../include/ident.h

CFLAGS		+= -D_LIBRADIUS -I$(top_builddir)/src

# if you have problems with things that need SHA1-HMAC, this will
# dump the key and the input to the hash so you can compare to what
# the other end is doing.
#CFLAGS += -DHMAC_SHA1_DATA_PROBLEMS

ifeq ($(USE_SHARED_LIBS),yes)
LINK_MODE	= -export-dynamic
else
LINK_MODE	= -static
endif

TARGET		= $(LIBPREFIX)freeradius-radius

# Define new rule for libtool objects
%.lo : %.c
	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -c $<

.PHONY: all clean install reconfig
all: $(TARGET).la

$(TARGET).la: $(LT_OBJS)
	$(LIBTOOL) --mode=link --tag=CC $(CC) -release $(RADIUSD_VERSION) \
	$(LDFLAGS) $(LINK_MODE) -o $@ -rpath $(libdir) $^

$(LT_OBJS): $(INCLUDES)

clean:
	rm -f *.o *.lo $(TARGET).la
	rm -rf .libs

install: all
	$(INSTALL) -d -m 755	$(R)$(libdir)
	$(LIBTOOL) --mode=install $(INSTALL) -c $(TARGET).la \
		$(R)$(libdir)/$(TARGET).la
	rm -f $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la;
	ln -s $(TARGET).la $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la

reconfig:

=== src/modules/Makefile ===
#
# Makefile
#
# Version:	$Id: 677914b8068569d1172fe1b4a88de1c5fc710a70 $
#

include ../../Make.inc

WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

install:
	$(INSTALL) -d -m 755 $(R)$(libdir)
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~ lib/rlm_* lib/*.o lib/smbencrypt lib/radeapclient

distclean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

# Requires GNU Make, but even older ones will do.
SUBDIRS := $(patsubst %/,%,$(dir $(wildcard $(addsuffix /Makefile,$(MODULES)))))

.PHONY: common libs $(SUBDIRS)

libs:
	@[ -d lib/ ] || mkdir lib
	@[ -d lib/.libs ] || mkdir lib/.libs

common: libs $(SUBDIRS)

$(SUBDIRS): 
	@echo "Making $(WHAT_TO_MAKE) in $@..."
	$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)

# The rlm_*/*/* stuff is to catch the configure
CONFIG_FILES := $(wildcard rlm_*/configure.in rlm_*/*/*/configure.in)

.PHONY: reconfig $(CONFIG_FILES)

#
#  Do NOT use "common", because some modules may not be built,
#  and therefore their makefiles may be empty or non-existent.
#
ifeq "$(AUTOCONF)" ""
reconfig:
	@echo autoconf is needed for this target
else
ifeq "$(AUTOHEADER)" ""
reconfig:
	@echo autoheader is needed for this target
else
reconfig: $(CONFIG_FILES)
endif
endif

# Don't use: $(MAKE) -C $(dir $@) reconfig
# The modules may not have a Makefile
$(CONFIG_FILES):
	@echo "Making reconfig in $(dir $@)..."
	@cd $(dir $@) && $(AUTOCONF) -I $(top_builddir)
	@if grep AC_CONFIG_HEADERS $@ >/dev/null; then\
		cd $(dir $@) && $(AUTOHEADER); \
	 fi

=== src/tests/Makefile ===
# -*- text -*-
##
## Makefile -- Build and run tests for the server.
##
##	http://www.freeradius.org/
##	$Id: e087687d070ab9ce0af58f4ccee2552471f39fea $
##
#
include ../../Make.inc

TESTS	= user_password chap mschapv1 digest-01/digest* test.example.com \
	wimax

PORT	 = 12340
ACCTPORT = $(shell expr $(PORT) + 1)

#	example.com stripped.example.com

EAPOL_TEST = eapol_test

EAP_TLS_TESTS = eap-ttls-pap.conf eap-mschapv2.conf \
	      eap-ttls-mschapv2.conf peap-mschapv2.conf

SECRET	= testing123

.PHONY: all eap dictionary clean

#
#	Build the directory for testing the server
#
all: tests

clean:
	@rm -f $(top_builddir)/raddb/test.conf test.conf dictionary

dictionary:
	@echo "# test dictionary not install.  Delete at any time." > dictionary
	@echo '$$INCLUDE ' $(top_builddir)/share/dictionary >> dictionary
	@echo '$$INCLUDE ' $(top_builddir)/src/tests/dictionary.test >> dictionary

test.conf: dictionary
	@echo "# test configuration file.  Do not install.  Delete at any time." > test.conf
	@echo "libdir =" $(top_builddir)/src/modules/lib/.libs/ >> test.conf
	@echo "testdir =" $(top_builddir)/src/tests/ >> test.conf
	@echo 'dictionary = $${testdir}' >> test.conf
	@echo 'logdir = $${testdir}' >> test.conf
	@echo 'radacctdir = $${testdir}' >> test.conf
	@echo 'pidfile = $${testdir}/radiusd.pid' >> test.conf
	@echo 'security {' >> $@
	@echo '        allow_vulnerable_openssl = yes' >> $@
	@echo '}' >> $@
	@echo >> $@
	@echo '$$INCLUDE radiusd.conf' >> test.conf
	@echo '$$INCLUDE $${testdir}/config/' >> test.conf

radiusd.pid: ../../raddb/test.conf test.conf
	@$(top_builddir)/src/main/radiusd -txxl `pwd`/radius.log -md $(top_builddir)/raddb/ -n test -i 127.0.0.1 -p $(PORT) || tail -n 20 `pwd`/radius.log

# We can't make this depend on radiusd.pid, because then make will create
# radiusd.pid when we make radiusd.kill, which we don't want.
.PHONY: radiusd.kill
radiusd.kill:
	@if [ -f radiusd.pid ]; then \
		(kill -TERM `cat radiusd.pid` >/dev/null 2>&1) || exit 0; \
	fi
	@rm -f radiusd.pid

#  Link from the main database directory to here
$(top_builddir)/raddb/test.conf: test.conf
	@[ -f $(top_builddir)/raddb/test.conf ] || ln -s $(top_builddir)/src/tests/test.conf $(top_builddir)/raddb/

# kill the server (if it's running)
# start the server
# run the tests (ignoring any failures)
# kill the server
# remove the changes to raddb/
tests: $(top_builddir)/raddb/test.conf radiusd.kill
	@chmod a+x runtests.sh
	@rm -f radius.log
	@$(MAKE) radiusd.pid
	@./runtests.sh $(TESTS)
	@$(MAKE) radiusd.kill
	@rm -f $(top_builddir)/raddb/test.conf

tests.eap: $(top_builddir)/raddb/test.conf radiusd.kill
	@chmod a+x runtests.sh
	@rm -f radius.log
	@$(MAKE) radiusd.pid
	@$(MAKE) eap
	@$(MAKE) radiusd.kill
	@rm -f $(top_buildir)/raddb/test.conf

eap: $(EAP_TLS_TESTS)
	for x in $(EAP_TLS_TESTS); do \
		$(EAPOL_TEST) -c $$x -p $(PORT) -s $(SECRET); \
	done

md5:
	$(EAPOL_TEST) -c eap-md5.conf -s $(SECRET) 

tls:
	$(EAPOL_TEST) -c eap-ttls-tls.conf -s $(SECRET)

ttls:
	$(EAPOL_TEST) -c eap-ttls-pap.conf -s $(SECRET)

peap:
	$(EAPOL_TEST) -c peap-mschapv2.conf -s $(SECRET)

leap:
	$(EAPOL_TEST) -c leap.conf -s $(SECRET)

=== src/modules/rlm_acct_unique/Makefile ===
#
#  Make a unique Acct-Unique-Session-Id
#
#  Version:	$Id: 0d0ec1f074f7107b750bf203949efab5263a0c71 $
#
TARGET		= rlm_acct_unique
SRCS		= rlm_acct_unique.c

include ../rules.mak

=== debian/changelog ===
freeradius (2.2.5+dfsg-0.2) unstable; urgency=high

  * Disable OpenSSL version check; Debian will maintain ABI stability or
    change the soname, Closes: #765871
    * Non-Maintainer Upload

 -- Sam Hartman <hartmans@debian.org>  Thu, 23 Oct 2014 21:45:36 -0400

freeradius (2.2.5+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer Upload
    * Remove remnants of freeradius-dilaupadmin, Closes: #669741
    * Permit creating freerad to fail because user might exist, Closes: #661915
    * Update to standards version 3.9.5, no changes
  * New upstream version, Closes: #740857, #691770
    - Include dictionary.mikrotik, Closes: #672200

 -- Sam Hartman <hartmans@debian.org>  Tue, 30 Sep 2014 19:18:08 -0400

=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 7.0.50~),
 dpkg-dev (>= 1.13.19),
 autotools-dev,
 libtool (>= 2.2), libtool-bin, 
 libltdl-dev (>= 2.2),
 libssl-dev,
 libpam0g-dev,
 libmysqlclient-dev,
 libgdbm-dev,
 libldap2-dev,
 libsasl2-dev,
 libiodbc2-dev,
 libkrb5-dev,
 libperl-dev,
 libpcap-dev,
 python-dev,
 libsnmp-dev,
 libpq-dev
Section: net
Priority: optional
Maintainer: Josip Rodin <joy-packages@debian.org>
Uploaders: Stephen Gran <sgran@debian.org>, Mark Hymers <mhy@debian.org>
Standards-Version: 3.9.5
Homepage: http://www.freeradius.org/

Package: freeradius
Architecture: any
Depends: lsb-base (>= 3.1-23.2), ${shlibs:Depends}, ${misc:Depends}, freeradius-common, libfreeradius2 (= ${binary:Version}), ssl-cert, ca-certificates, adduser
Provides: radius-server
Recommends: freeradius-utils
Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5
Description: high-performance and highly configurable RADIUS server
 FreeRADIUS is a high-performance RADIUS server with support for:
  - many vendor-specific attributes
  - proxying and replicating requests by any criteria
  - authentication on system passwd, SQL, Kerberos, LDAP, users file, or PAM
  - multiple DEFAULT configurations
  - regexp matching in string attributes
 and lots more.

Package: freeradius-common
Depends: ${misc:Depends}, adduser
Architecture: all
Conflicts: radiusd-livingston, xtradius, yardradius
Replaces: freeradius (<< 2.0)
Description: FreeRADIUS common files
 This package contains common files used by several of the other packages from
 the FreeRADIUS project.

Package: freeradius-utils
Architecture: any
Replaces: freeradius (<< 2.0)
Conflicts: radiusd-livingston, yardradius
Depends: ${shlibs:Depends}, ${misc:Depends}, freeradius-common, libfreeradius2 (= ${binary:Version})
Recommends: libdbi-perl
Description: FreeRADIUS client utilities
 This package contains various client programs and utilities from
 the FreeRADIUS Server project, including:
  - radclient
  - radeapclient
  - radlast
  - radsniff
  - radsqlrelay
  - radtest
  - radwho
  - radzap
  - rlm_dbm_cat
  - rlm_dbm_parser
  - rlm_ippool_tool
  - smbencrypt

Package: libfreeradius2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeRADIUS shared library
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.

Package: libfreeradius-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreeradius2 (= ${binary:Version})
Description: FreeRADIUS shared library development files
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.
 .
 This package contains the development headers and static library version.

Package: freeradius-krb5
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-dbg
Architecture: any
Section: debug
Priority: extra
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debug symbols for the FreeRADIUS packages
 FreeRADIUS is a modular, high performance and feature-rich RADIUS server.
 This package contains the detached debugging symbols for the Debian FreeRADIUS
 packages.

## freeradius 2.2.8%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #		NOTE: This top-level Makefile must not
 #		use GNU-make extensions. The lower ones can.
 #
-# Version:	$Id: 7be6a2763fad17395b113b06b4924ae515ef46a0 $
+# Version:	$Id$
 #
 
 include Make.inc

=== src/modules/rlm_acct_unique/Makefile ===
#
#  Make a unique Acct-Unique-Session-Id
#
#  Version:	$Id$
#
TARGET		= rlm_acct_unique
SRCS		= rlm_acct_unique.c

include ../rules.mak

=== src/modules/rlm_expr/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_expr
SRCS		= rlm_expr.c paircmp.c

include ../rules.mak

=== src/modules/rlm_policy/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_policy
SRCS		= rlm_policy.c parse.c evaluate.c
HEADERS		= rlm_policy.h
RLM_CFLAGS	=
RLM_LIBS	=

include ../rules.mak

$(LT_OBJS): $(HEADERS)

=== src/modules/rlm_realm/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_realm
SRCS		= rlm_realm.c

include ../rules.mak

=== src/modules/rlm_replicate/Makefile ===
TARGET		= rlm_replicate
SRCS		= rlm_replicate.c
HEADERS		= 
RLM_CFLAGS	=
RLM_LIBS	= 

include ../rules.mak

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)

=== src/modules/rlm_eap/types/rlm_eap_leap/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET      = rlm_eap_leap
SRCS        = rlm_eap_leap.c eap_leap.c smbdes.c
RLM_CFLAGS  = -I../.. -I../../libeap
HEADERS     = eap_leap.h  ../../eap.h ../../rlm_eap.h
RLM_INSTALL =

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

$(LT_OBJS): $(HEADERS)

=== src/modules/rlm_eap/types/rlm_eap_sim/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET      = rlm_eap_sim
SRCS        = rlm_eap_sim.c
HEADERS     =
RLM_CFLAGS  = -I../.. -I../../libeap
RLM_LIBS    =  ../../libeap/$(LIBPREFIX)freeradius-eap.la
RLM_INSTALL =

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

$(LT_OBJS): $(HEADERS)

=== src/modules/rlm_sql/drivers/rlm_sql_sybase/Makefile ===
#
#  This module is in the source, but not yet fully integrated with
#  the configure scripts.  For now, manual editing of this file is
#  required to get it to build.
#
include ../../../../../Make.inc

TARGET		=
#TARGET         = rlm_sql_sybase
SRCS           = sql_sybase.c
RLM_SQL_CFLAGS =   -I/opt/sybase/OCS-12_0/include
RLM_SQL_LIBS   =  -L/opt/sybase/OCS-12_0/lib -ltcl -lcomn -lintl -lnsl -ldl -lm -lcs -lct

include ../rules.mak

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,12 @@
  libpq-dev
 Section: net
 Priority: optional
-Maintainer: Josip Rodin <joy-packages@debian.org>
-Uploaders: Stephen Gran <sgran@debian.org>, Mark Hymers <mhy@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josip Rodin <joy-packages@debian.org>
+Uploaders: Stephen Gran <sgran@debian.org>, Mark Hymers <mhy@debian.org>, Sam Hartman <hartmans@debian.org>
+Standards-Version: 3.9.6h		    
 Homepage: http://www.freeradius.org/
+XS-Testsuite: autopkgtest
 
 Package: freeradius
 Architecture: any

## freeradius 2.2.8+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:	$Id: aaf7675ac139ee0274dae8352fe60ccaf426dec8 $
+# Version:	$Id$
 #
 
 include ../Make.inc

=== raddb/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:      $Id: d96366cd03b1f5149a68e223b1a1e0f7d25bf3a4 $
+# Version:      $Id$
 #
 
 include ../Make.inc

=== scripts/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: 526c32134a98eef36b709f031c17536b1cc88e8b $
+# $Id$
 
 include ../Make.inc

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:	$Id: b04e7b8cca65e4f37c96c79661a8a876a8aa339f $
+# Version:	$Id$
 #
 
 include ../Make.inc

=== raddb/certs/Makefile ===
######################################################################
#
#	Make file to be installed in /etc/raddb/certs to enable
#	the easy creation of certificates.
#
#	See the README file in this directory for more information.
#	
#	$Id$
#
######################################################################

DH_KEY_SIZE	= 2048

#
#  Set the passwords
#
-include passwords.mk

######################################################################
#
#  Make the necessary files, but not client certificates.
#
######################################################################
.PHONY: all
all: index.txt serial dh random server ca

.PHONY: client
client: client.pem

.PHONY: ca
ca: ca.der

.PHONY: server
server: server.pem server.vrfy

passwords.mk: server.cnf ca.cnf client.cnf
	@echo "PASSWORD_SERVER	= '$(shell grep output_password server.cnf | sed 's/.*=//;s/^ *//')'"		> $@
	@echo "PASSWORD_CA	= '$(shell grep output_password ca.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "PASSWORD_CLIENT	= '$(shell grep output_password client.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "USER_NAME	= '$(shell grep emailAddress client.cnf | grep '@' | sed 's/.*=//;s/^ *//')'"	>> $@
	@echo "CA_DEFAULT_DAYS  = '$(shell grep default_days ca.cnf | sed 's/.*=//;s/^ *//')'"			>> $@

######################################################################
#
#  Diffie-Hellman parameters
#
######################################################################
dh:
	openssl gendh -out dh -2 $(DH_KEY_SIZE)

######################################################################
#
#  Create a new self-signed CA certificate
#
######################################################################
ca.key ca.pem: ca.cnf
	@[ -f index.txt ] || $(MAKE) index.txt
	@[ -f serial ] || $(MAKE) serial
	openssl req -new -x509 -keyout ca.key -out ca.pem \
		-days $(CA_DEFAULT_DAYS) -config ./ca.cnf

ca.der: ca.pem
	openssl x509 -inform PEM -outform DER -in ca.pem -out ca.der

######################################################################
#
#  Create a new server certificate, signed by the above CA.
#
######################################################################
server.csr server.key: server.cnf
	openssl req -new  -out server.csr -keyout server.key -config ./server.cnf

server.crt: server.csr ca.key ca.pem
	openssl ca -batch -keyfile ca.key -cert ca.pem -in server.csr  -key $(PASSWORD_CA) -out server.crt -extensions xpserver_ext -extfile xpextensions -config ./server.cnf

server.p12: server.crt
	openssl pkcs12 -export -in server.crt -inkey server.key -out server.p12  -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)

server.pem: server.p12
	openssl pkcs12 -in server.p12 -out server.pem -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)

.PHONY: server.vrfy
server.vrfy: ca.pem
	openssl verify -CAfile ca.pem server.pem

######################################################################
#
#  Create a new client certificate, signed by the the above CA
#
######################################################################
client.csr client.key: client.cnf
	openssl req -new  -out client.csr -keyout client.key -config ./client.cnf

client.crt: client.csr ca.pem ca.key
	openssl ca -batch -keyfile ca.key -cert ca.pem -in client.csr  -key $(PASSWORD_CA) -out client.crt -extensions xpclient_ext -extfile xpextensions -config ./client.cnf

client.p12: client.crt
	openssl pkcs12 -export -in client.crt -inkey client.key -out client.p12  -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)

client.pem: client.p12
	openssl pkcs12 -in client.p12 -out client.pem -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	cp client.pem $(USER_NAME).pem

.PHONY: client.vrfy
client.vrfy: ca.pem client.pem 
	c_rehash .
	openssl verify -CApath . client.pem

######################################################################
#
#  Miscellaneous rules.
#
######################################################################
index.txt:
	@touch index.txt

serial:
	@echo '01' > serial

random:
	@if [ -c /dev/urandom ] ; then \
		dd if=/dev/urandom of=./random count=10 >/dev/null 2>&1; \
	else \
		date > ./random; \
	fi

print:
	openssl x509 -text -in server.crt

printca:
	openssl x509 -text -in ca.pem

clean:
	@rm -f *~ *old client.csr client.key client.crt client.p12 client.pem

#
#	Make a target that people won't run too often.
#
destroycerts:
	rm -f *~ dh *.csr *.crt *.p12 *.der *.pem *.key index.txt* \
			serial* random *\.0 *\.1

=== src/include/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:	$Id: 0439d37dd5217f3c2b281f8402684253983f4e6d $
+# Version:	$Id$
 #
 
 HEADERS	= autoconf.h conf.h conffile.h detail.h dhcp.h event.h hash.h heap.h \

=== src/lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:      $Id: a715b01b31672189a65bb81482587fc721eff6aa $
+# Version:      $Id$
 #
 
 include ../../Make.inc

=== src/tests/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ## Makefile -- Build and run tests for the server.
 ##
 ##	http://www.freeradius.org/
-##	$Id: e087687d070ab9ce0af58f4ccee2552471f39fea $
+##	$Id$
 ##
 #
 include ../../Make.inc

=== src/modules/rlm_cache/Makefile ===
TARGET		= rlm_cache
SRCS		= rlm_cache.c
HEADERS		= 
RLM_CFLAGS	=
RLM_LIBS	= 

include ../rules.mak

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)

=== src/modules/rlm_chap/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_chap
SRCS		= rlm_chap.c

include ../rules.mak

=== src/modules/rlm_eap2/Makefile ===
#
# $Id$
#

#
#  This module is EXPERIMENTAL!
#

#
#  You will have to edit this Makefile to define where the
#  hostap distribution is located.
#
#  You will also have to edit: hostap/eap_example/Makefile
#  to enable it to create a shared library, rather than a static one.
#


HOSTAP	    = /path/to/hostap

TARGET      = 
SRCS        = rlm_eap2.c
HEADERS     =
RLM_CFLAGS  = -I$(HOSTAP)/src/eap_common \
	      -I$(HOSTAP)/src/eap_server  -I$(HOSTAP)/src  \
	      -I$(HOSTAP)/src/common -I$(HOSTAP)/src/utils
RLM_LIBS    = $(HOSTAP)/eap_example/libeap.so

## this uses the RLM_CFLAGS and RLM_LIBS and SRCS defs to make TARGET.
include ../rules.mak

=== src/modules/rlm_logintime/Makefile ===
TARGET  = rlm_logintime
SRCS    = rlm_logintime.c timestr.c

include ../rules.mak

=== debian/changelog ===
freeradius (2.2.8+dfsg-0.1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: read/write overflow in make_secret()
    - debian/patches/CVE-2017-10978.patch: check lengths in
      src/lib/radius.c.
    - CVE-2017-10978
  * SECURITY UPDATE: write overflow in rad_coalesce
    - debian/patches/CVE-2017-10979.patch: check for long attributes in
      src/lib/dhcp.c, src/lib/radius.c.
    - CVE-2017-10979
  * SECURITY UPDATE: memory leak in decode_tlv()
    - debian/patches/CVE-2017-10980.patch: fix memory leak in
      src/lib/dhcp.c.
    - CVE-2017-10980
  * SECURITY UPDATE: memory leak in fr_dhcp_decode()
    - debian/patches/CVE-2017-10981.patch: fix another memory leak in
      src/lib/dhcp.c.
    - CVE-2017-10981
  * SECURITY UPDATE: read overflow in fr_dhcp_decode_options()
    - debian/patches/CVE-2017-10982.patch: check for long options in
      src/lib/dhcp.c.
    - CVE-2017-10982
  * SECURITY UPDATE: read overflow when decoding option 63
    - debian/patches/CVE-2017-10983.patch: decode correct option in
      src/lib/dhcp.c.
    - CVE-2017-10983

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Jul 2017 10:32:39 -0400

freeradius (2.2.8+dfsg-0.1build2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:22:24 +0000

freeradius (2.2.8+dfsg-0.1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:07:36 +0000

freeradius (2.2.8+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer Upload
  * New Upstream version
    * Add myself to uploaders
  * Include ubuntu multiarch python patch
  * Include ubuntu autotests (Thanks probably to
    yolanda.robla@canonical.com, marc.deslauriers@ubuntu.com)
  * New standards version; no changes

 -- Sam Hartman <hartmans@debian.org>  Mon, 14 Sep 2015 07:27:09 -0400

=== debian/tests/control ===
Tests: freeradius daemon clients
Depends: freeradius, freeradius-utils, python, lsb-release
Restrictions: needs-root

## freeradius 3.0.11+git+DSI1

=== debian/changelog ===
freeradius (3.0.11+git+DSI1) unstable; urgency=medium

  * Changed to DSI version.

 -- Samuel Bernardo <samuelbernardo@tecnico.ulisboa.pt>  Fri, 18 Jul 2016 15:00:00 -0400

freeradius (3.0.11+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Mon, 05 Oct 2015 15:00:00 -0400

freeradius (3.0.10+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 08 Jul 2015 14:00:00 -0400

freeradius (3.0.9+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 22 Apr 2015 13:30:00 -0400

freeradius (3.0.8+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Thu, 19 Feb 2015 12:00:00 -0400

freeradius (3.0.7+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 17 Dec 2014 16:00:00 -0400

freeradius (3.0.6+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Tue, 01 Nov 2014 08:30:00 -0400

freeradius (3.0.5+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Thu, 23 Sep 2014 08:30:00 -0400

freeradius (3.0.4+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 03 Sep 2014 08:30:00 -0400

freeradius (3.0.3+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Fri, 21 Mar 2014 08:30:00 -0400

freeradius (3.0.2+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 15 Jan 2014 21:23:14 -0400

freeradius (3.0.1+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Mon, 10 Oct 2013 21:23:14 -0400

freeradius (3.0.0+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Mon, 07 Oct 2013 15:48:14 -0400
